/// [feColorMatrix](https://www.w3.org/TR/SVG11/filters.html#feColorMatrixElement)
#[derive(Debug)]
pub struct ColorMatrix {
    cm_type: ColorMatrixType,
}

impl ColorMatrix {
    pub fn new(cm_type: ColorMatrixType) -> Self {
        Self { cm_type }
    }
}

#[derive(Debug)]
pub enum ColorMatrixType {
    Matrix(Box<[f32; 20]>),
    Saturate(f32),
    HueRotate(f32),
    LuminanceToAlpha,
}
